<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>D-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="D-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><a href="../model/DAO/DAO.html" title="class in model.DAO"><span class="typeNameLink">DAO</span></a>&lt;<a href="../model/DAO/DAO.html" title="type parameter in DAO">T</a>&gt; - Class in <a href="../model/DAO/package-summary.html">model.DAO</a></dt>
<dd>
<div class="block">Abstract class DAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/DAO.html#%3Cinit%3E()">DAO()</a></span> - Constructor for class model.DAO.<a href="../model/DAO/DAO.html" title="class in model.DAO">DAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/CallDAO.html#delete(model.classes.Call)">delete(Call)</a></span> - Method in class model.DAO.<a href="../model/DAO/CallDAO.html" title="class in model.DAO">CallDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/ExternPersonDAO.html#delete(model.classes.ExternPerson)">delete(ExternPerson)</a></span> - Method in class model.DAO.<a href="../model/DAO/ExternPersonDAO.html" title="class in model.DAO">ExternPersonDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/PermissionDAO.html#delete(model.classes.Permission)">delete(Permission)</a></span> - Method in class model.DAO.<a href="../model/DAO/PermissionDAO.html" title="class in model.DAO">PermissionDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/PersonDAO.html#delete(model.classes.Person)">delete(Person)</a></span> - Method in class model.DAO.<a href="../model/DAO/PersonDAO.html" title="class in model.DAO">PersonDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/RoleDAO.html#delete(model.classes.Role)">delete(Role)</a></span> - Method in class model.DAO.<a href="../model/DAO/RoleDAO.html" title="class in model.DAO">RoleDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/RolePermissionDAO.html#delete(model.classes.RolePermission)">delete(RolePermission)</a></span> - Method in class model.DAO.<a href="../model/DAO/RolePermissionDAO.html" title="class in model.DAO">RolePermissionDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/StatusDAO.html#delete(model.classes.Status)">delete(Status)</a></span> - Method in class model.DAO.<a href="../model/DAO/StatusDAO.html" title="class in model.DAO">StatusDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/UserDAO.html#delete(model.classes.User)">delete(User)</a></span> - Method in class model.DAO.<a href="../model/DAO/UserDAO.html" title="class in model.DAO">UserDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/DAO.html#delete(T)">delete(T)</a></span> - Method in class model.DAO.<a href="../model/DAO/DAO.html" title="class in model.DAO">DAO</a></dt>
<dd>
<div class="block">Abstract method use to delete data</div>
</dd>
<dt><a href="../type/Direction.html" title="enum in type"><span class="typeNameLink">Direction</span></a> - Enum in <a href="../type/package-summary.html">type</a></dt>
<dd>
<div class="block">Direction enumeration type is used to specify call direction</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/MainController.html#disableAllLabel()">disableAllLabel()</a></span> - Method in class controllers.<a href="../controllers/MainController.html" title="class in controllers">MainController</a></dt>
<dd>
<div class="block">Disable all the label, used when the user click on a button</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/MainController.html#disableDataLabel()">disableDataLabel()</a></span> - Method in class controllers.<a href="../controllers/MainController.html" title="class in controllers">MainController</a></dt>
<dd>
<div class="block">Disable the label where data is insert, used when the radio button of a specific date is selected without date</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/MainController.html#disableQuitDisconnectButton()">disableQuitDisconnectButton()</a></span> - Method in class controllers.<a href="../controllers/MainController.html" title="class in controllers">MainController</a></dt>
<dd>
<div class="block">Disable buttons Quit and Disconnect, used when the user pressed any button to show table</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/ModifDelController.html#disableTextAndComboBox()">disableTextAndComboBox()</a></span> - Method in class controllers.<a href="../controllers/ModifDelController.html" title="class in controllers">ModifDelController</a></dt>
<dd>
<div class="block">Method used when the view to delete a user is called, this disable all the texts fields and combo boxes</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
